Bug 63101 - up2date man page some items mangled
Summary: up2date man page some items mangled
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-10 02:08 UTC by Edward J. Huff
Modified: 2015-01-07 23:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 20:42:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Edward J. Huff 2002-04-10 02:08:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13 i586)

Description of problem:
--download description is backwards.  It doesn't override the configuration
option, it is the same as that option.

--install should say "It is mutually exclusive with the
--download option".

--whatprovides description is mangled.  It ends with "It make be necessary" with
no period.  I guess that should be "It may be necessary to [do something]."


Version-Release number of selected component (if applicable):
v2.7.2

How reproducible:
Always

Steps to Reproduce:
1.man up2date
2.
3.
	

Actual Results:  see above

Expected Results:  see above

Additional info:

Comment 1 Adrian Likins 2002-04-10 21:52:15 UTC
Not sure if I agree about the "--download" option. It does
override whatever is set in the config file.

The rest should be fixed in version 2.7.72 or higher.

Comment 2 Edward J. Huff 2002-04-11 00:31:47 UTC
       -d, --download
              download packages only, do not install them.   This
              option  is  provided  so  that you can override the
              configuration option "Do not install packages after
              retrieval."   It  is  mutually  exclusive  with the
              --install option.

Should read

              download packages only, do not install them.   This
              option is equivalent to selecting the configuration 
              option "Do not install packages after retrieval."
              It  is  mutually  exclusive  with the --install 
              option.


Comment 3 Edward J. Huff 2002-04-11 00:49:22 UTC
       -u, --update
              Completely update the system.  All  relevant  pack-
              ages will be downloaded (and possibly installed, if
              you have configured Update Agent to do so).

should read

       -u, --update
              Completely update the system.  All  relevant  pack-
              ages will be downloaded.  By default, they will be
              installed, unless you you have selected the "Do not 
              install packages after retrieval" configuration option
              or specified --download on the command line.


Comment 4 Miloslav Trmac 2004-03-08 13:59:14 UTC
The --download description is still an issue in up2date-4.1.21-3.

Comment 5 Adrian Likins 2004-04-05 20:42:34 UTC
updated in cvs


Note You need to log in before you can comment on or make changes to this bug.